Subject: bug#42814: closed (Re: bug#42814: request: make guix upgrade recognize --do-not-upgrade)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 28 Aug 2020 12:29:02 +0000

Your bug report

#42814: request: make guix upgrade recognize --do-not-upgrade

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42814: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42814
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42814: request: make guix upgrade recognize --do-not-upgrade
From: Mathieu Othacehe <[email-masked]>
To: Jesse Gibbons <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Aug 2020 14:28:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> As you can see, this is quite a bit more complex than it needs to be.
>
> So, why not have guix upgrade recognize the --do-not-upgrade option?

Thanks for the suggestion, it has been implemented by Jakub with
7ba7d50f92416821ec4fc124a49d74149b6d4d33.

Mathieu

Subject: request: make guix upgrade recognize --do-not-upgrade
From: Jesse Gibbons <[email-masked]>
To: [email-masked]
Date: Tue, 11 Aug 2020 12:37:06 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

 From the manual:

    • ‘guix search’ is an alias for ‘guix package -s’,
    • ‘guix install’ is an alias for ‘guix package -i’,
    • ‘guix remove’ is an alias for ‘guix package -r’,
    • ‘guix upgrade’ is an alias for ‘guix package -u’,
    • and ‘guix show’ is an alias for ‘guix package --show=’.

One option for "guix package -u" I often find myself using is 
--do-not-upgrade. However, guix upgrade does not recognize that option.

When I run "guix upgrade --do-not-upgrade=ungoogled-chromium" I get the 
following results:

guix upgrade: error: do-not-upgrade=ungoogled-chromium: unrecognized option

This is a bit frustrating, because I want to be able to upgrade all my 
profiles with the command:

"guix package --list-profiles | xargs -n1 guix upgrade 
--do-not-upgrade=ungoogled-chromium"

But it prints the above error for every profile and doesn't actually do 
anything.

For now, my work-around is code like the following:

"for profile in $(guix package --list-profiles); do guix package -p 
$profile --do-not-upgrade=ungoogled-chromium -u; done"

As you can see, this is quite a bit more complex than it needs to be.

So, why not have guix upgrade recognize the --do-not-upgrade option?